From: Antonio Ospite <ospite@studenti.unina.it>
Date: Wed, 20 Mar 2013 16:41:43 +0000 (+0100)
Subject: Add an example for fdsrc and videoparse
X-Git-Url: https://git.ao2.it/experiments/gstreamer.git/commitdiff_plain/b1acbe4b4c61ee46354142b01c2bfa67dc5985d9?ds=inline;hp=95f8867b3cef764209446c1475b340dc2a3b228b

Add an example for fdsrc and videoparse
---

diff --git a/gst-fdsrc-and-videoparse.sh b/gst-fdsrc-and-videoparse.sh
new file mode 100755
index 0000000..f356c7b
--- /dev/null
+++ b/gst-fdsrc-and-videoparse.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# This is a very flexible way to read raw video data from the standard input
+# when the image size, pixelformat and the framerate are known.
+
+gst-launch-0.10 \
+  fdsrc blocksize=$((800*480*4)) ! \
+  videoparse format="bgra" width=800 height=480 framerate=30 ! \
+  queue min-threshold-buffers=30 ! \
+  ffmpegcolorspace ! videorate ! autovideosink